Subject: bug#55708: (key-description (kbd "C-F")) becomes "C-f"

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 02 Jun 2022 11:40:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> (key-description (kbd "C-F")) returns "C-f"
>
> As others have alluded to, this is for historical reasons, and I'm not
> sure that we can change this now.  That is,
>
> (equal (kbd "C-F") (kbd "C-f"))
> => t
>
> (And on terminals, there's no difference between `C-f' and `C-F'.)
>
> However,
>
> (key-description (kbd "C-S-f"))
> => "C-S-f"
>
> That is, if you explicitly put a shift modifier in there, you can
> round-trip the key.

So I don't think there's anything we want to do here, and I'm therefore
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no